PUT
/
api
/
v1
/
admin
/
simulation
/
team-drills
/
experiments
/
{experiment_id}
Update Team Intervention Experiment
curl --request PUT \
  --url https://api.jobsim.work/api/v1/admin/simulation/team-drills/experiments/{experiment_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "hypothesis": "<string>",
  "status": "<string>",
  "control_session_ids": [
    "<string>"
  ],
  "intervention_session_ids": [
    "<string>"
  ],
  "assignment_ids": [
    "<string>"
  ],
  "start_at": "2023-11-07T05:31:56Z",
  "end_at": "2023-11-07T05:31:56Z",
  "metadata": {}
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

experiment_id
string
required

Body

application/json

Request payload to update intervention experiment configuration/state.

name
string | null
hypothesis
string | null
status
string | null
control_session_ids
string[] | null
intervention_session_ids
string[] | null
assignment_ids
string[] | null
start_at
string<date-time> | null
end_at
string<date-time> | null
metadata
Metadata · object

Response

Successful Response